Bug 1082604 - Moto G not recognized by thunar (gvfs-mtp)
Summary: Moto G not recognized by thunar (gvfs-mtp)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmtp
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Linus Walleij
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-31 13:04 UTC by Jan Pazdziora
Modified: 2014-09-23 05:04 UTC (History)
2 users (show)

Fixed In Version: libmtp-1.1.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 05:04:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2014-03-31 13:04:21 UTC
Description of problem:

When Moto G is connected to Fedora 20, it is not shown in thunar (XFCE) even if gvfs-mtp is installed and MTP USB connection handling is set in Android.

Version-Release number of selected component (if applicable):

libmtp-1.1.6-2.fc20.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have thunar open, gvfs-mtp installed, connect Moto G with USB cable.

Actual results:

Device not shown in thunar.

Expected results:

Device not shown in thunar.

Additional info:

Based on https://bbs.archlinux.org/viewtopic.php?pid=1367127#p1367127, patching /usr/lib/udev/rules.d/69-libmtp.rules with

ATTR{idVendor}=="22b8", ATTR{idProduct}=="2e82", SYMLINK+="libmtp-%k", ENV{ID_MTP_DEVICE}="1", ENV{ID_MEDIA_PLAYER}="1"

and running

udevadm control --reload

helped.

Please add that line to the libmtp package.

Comment 1 Jan Pazdziora 2014-04-07 08:48:55 UTC
(In reply to Jan Pazdziora from comment #0)
> 
> Expected results:
> 
> Device not shown in thunar.

Oops, the expected result is obviously for the device to be shown. Sorry about the confusion.

Comment 2 Fedora Update System 2014-08-30 19:16:33 UTC
libmtp-1.1.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libmtp-1.1.8-1.fc21

Comment 3 Fedora Update System 2014-09-01 19:45:18 UTC
Package libmtp-1.1.8-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmtp-1.1.8-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9984/libmtp-1.1.8-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-23 05:04:02 UTC
libmtp-1.1.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.